Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.awb.misc
Class Archive

    java.lang.Object
      |
      +--com.ibm.awb.misc.Archive

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JarArchive

public class Archive
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Inner Class Summary
`static class` | `Archive.Entry`

Field Summary
`protected static java.security.MessageDigest` | `digestGen`

Constructor Summary
`Archive()`

Method Summary
`Archive.Entry[]` | `entries()`
`Archive.Entry` | `getEntry(java.lang.String name)`
`byte[]` | `getResourceAsByteArray(java.lang.String name)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)`
`protected byte[]` | `getResourceInCache(java.lang.String name)`
`void` | `putResource(java.lang.String name, byte[] res)`
`void` | `putResource(java.lang.String name, long d, byte[] res)`
`void` | `removeResource(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### digestGen

    protected static java.security.MessageDigest digestGen

Constructor Detail

### Archive

    public Archive()

Method Detail

### entries

    public Archive.Entry[] entries()

### getEntry

    public Archive.Entry getEntry(java.lang.String name)

### getResourceAsByteArray

    public byte[] getResourceAsByteArray(java.lang.String name)

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

### getResourceInCache

    protected byte[] getResourceInCache(java.lang.String name)

### putResource

    public void putResource(java.lang.String name,
                            byte[] res)

### putResource

    public void putResource(java.lang.String name,
                            long d,
                            byte[] res)

### removeResource

    public void removeResource(java.lang.String name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD